On Nov 14, 2007, at 9:57 AM, Jim Fulton wrote:
So what makes this stuff work via buildout is all version-pinning now?


They aren't using the cheeseshop. They are using the KGS instead.

They are currently also pinned.

zope.tal's buildout.cfg contains:

[versions]
zope.traversing = 3.4.0
zope.app.publisher = 3.4.0

zope.tal shouldn't depend on either of these, so I'd like to remove both the pinning in buildout.cfg and fix the dependency bug that caused them to need to be added in the first place.

The actual bug is that zope.tal depends on zope.i18n (which has inappropriate dependencies, but we'll fix that separately). zope.tal only uses the zope.i18n for a single import in dummyengine.py. It imports and uses the zope.i18n.interfaces.ITranslationDomain interface:

from zope.i18n.interfaces import ITranslationDomain

class DummyTranslationDomain(object):
    implements(ITranslationDomain)

I removed ITranslationDomain implementation from the DummyTranslationDomain, all the tests still pass. I've also removed the pinning in buildout.cfg. I've checked this in. If you do "setup.py install" within zope.tal now, the only distributions required and downloaded during that process are zope.i18nmessageid and zope.interface. Likewise for buildout. I've also made this module possible to test via "setup.py test".

- C

_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope )

Reply via email to